package portal

class Nota(private var _nota: Double, private var _avaliacao: Avaliacao) {

	if(_nota < 0.0 || _nota > 10.0)
		throw new IllegalArgumentException("Nota inválida para avaliação " + _avaliacao + " : " + _nota + ".")

	override def toString = _nota.toString

	//Getters e Setters
    def nota = _nota
    def nota_=(value: Double) = _nota = value

    def avaliacao = _avaliacao
    def avaliacao_=(value: Avaliacao) = _avaliacao = value
}