import portal._
import io._

import java.util.Calendar

object Main {
    def main(args: Array[String]) : Unit = {

    	    val pastaEntrada = "./in/"
            val pastaSaida = "./out/"

		    val alunos = "alunos.csv"
		    val avaliacoes = "avaliacoes.csv"
		    val cursos = "cursos.csv"
		    val disciplinas = "disciplinas.csv"
		    val notas = "notas.csv"

    	try{
    		val ufes = new Universidade()
    		val reader = new Reader(ufes)
            val writer = new Writer(ufes)

    		reader.leCursos(pastaEntrada + cursos)
    		reader.leDisciplinas(pastaEntrada + disciplinas)
    		reader.leAvaliacoes(pastaEntrada + avaliacoes)
    		reader.leAlunos(pastaEntrada + alunos)
    		reader.leNotas(pastaEntrada + notas)

            writer.imprimePautaFinal(pastaSaida)

		} catch {
		  case e: Exception => println(e);
		}

        println("Saída disponível em: " + pastaSaida)

    }
}